<?php
$custom_script = <<<HTML
	switch(attrs['type'].value){
		case 'success':
			return '[success]'+attrs['content'].value+'[/success]';
		case 'error':
			return '[errors]'+attrs['content'].value+'[/errors]';
		case 'notice':
			return '[notice]'+attrs['content'].value+'[/notice]';
	}
HTML;
return array(
	"title" => __("Message Boxes", THEME_ADMIN_DOMAIN),
	"shortcode" => 'message_box',
	"type" => 'custom',
	"options" => array(
		array(
			"name" => __("Type",THEME_ADMIN_DOMAIN),
			"id" => "type",
			"default" => '',
			"options" => array(
				"success" => __("Success",THEME_ADMIN_DOMAIN),
				"error" => __("Errors",THEME_ADMIN_DOMAIN),
				"notice" => __("Notice",THEME_ADMIN_DOMAIN),
			),
			"type" => "select",
		),
		array(
			"name" => __("Content",THEME_ADMIN_DOMAIN),
			"id" => "content",
			"default" => "",
			"type" => "textarea"
		),
	),
	"custom" => $custom_script,
);
